﻿Public Class index
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'ポストバックのときは処理をしない
        If Me.IsPostBack Then
            Return
        End If

        'DropDownListを初期化
        Dim vehicle(2) As ListItem
        vehicle(0) = New ListItem("車", "Car")
        vehicle(1) = New ListItem("バス", "Bus")
        vehicle(2) = New ListItem("タクシー", "Taxi")
        Me.ddlVehicle.Items.AddRange(vehicle)

        'CheckBoxListを初期化
        Dim fruits(1) As ListItem
        fruits(0) = New ListItem("メロン")
        fruits(1) = New ListItem("すいか")
        Me.chkFruits.Items.AddRange(fruits)
    End Sub

    Protected Sub btnSend_Click(sender As Object, e As EventArgs) Handles btnSend.Click
        '送信のためのURLを作成
        Dim url As String = "receive.aspx?text=" + Me.txtMessage.Text
        url += "&vehicle=" + ddlVehicle.SelectedValue

        'CheckBoxコントロールはチェックされた項目を調べる
        url += "&fruits="
        For Each li As ListItem In Me.chkFruits.Items
            If li.Selected Then
                url &= li.Value & ","
            End If
        Next

            '余分についたカンマを除去
        If url.EndsWith(",") Then
            url = url.Remove(url.LastIndexOf(","), 1)
        End If

        'ページ遷移
        Me.Response.Redirect(url)
    End Sub
End Class